Bug 95568 - FILEOPEN Calc seems to swap width and height of picture
Summary: FILEOPEN Calc seems to swap width and height of picture
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.3.0.3 release
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Calc-Images
  Show dependency treegraph
 
Reported: 2015-11-04 14:05 UTC by GUTH Christophe
Modified: 2018-10-01 02:53 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
the model created with OpenOffice 3.4.1 (917.61 KB, application/vnd.oasis.opendocument.spreadsheet-template)
2015-11-04 14:05 UTC, GUTH Christophe
Details
original picture after loading the document in OpenOffice 3.4.1 (89.86 KB, image/jpeg)
2015-11-04 14:06 UTC, GUTH Christophe
Details
obtained picture after loading the document in LibreOffice 5.0.2.2 (88.12 KB, image/jpeg)
2015-11-04 14:07 UTC, GUTH Christophe
Details

Note You need to log in before you can comment on or make changes to this bug.
Description GUTH Christophe 2015-11-04 14:05:50 UTC
Created attachment 120257 [details]
the model created with OpenOffice 3.4.1

Hello,

I've created a model with OpenOffice 3.4.1 and when I open it with LibreOffice 5.0.2.2, I had a swapping between width and height in the picture embedded in 6463AM_debut.G1.

LibreOffice seems to have swapped dimensions and forgot the relative checkbox (conserver le ratio in screen shots)

I did not change the document, just loaded it

Thanks
Comment 1 GUTH Christophe 2015-11-04 14:06:55 UTC
Created attachment 120258 [details]
original picture after loading the document in OpenOffice 3.4.1
Comment 2 GUTH Christophe 2015-11-04 14:07:29 UTC
Created attachment 120259 [details]
obtained picture after loading the document in LibreOffice 5.0.2.2
Comment 3 GUTH Christophe 2015-11-04 14:33:52 UTC
Additionnal info :

when i load the document with OpenOffice Calc, and set the anchor of the picture "to page" instead of "to cell" and save the document, LibreOffice loads it correctly. The bug seems to be related to the anchor of the picture.
Comment 4 bordmail4 2015-11-10 03:45:52 UTC
Hello, Cristophe,

I can confirm there is a problem with that crescent drawing on sheet 6463AM_debut, even on the latest version on 5.0.3.2 (x64):
- indeed it resizes (it seems to swap height with width) if the anchor is left to cell. I've tried different sizes, in merged and unmerged cells, saving each time a different instance of the original file and reopening.
- when I switched the anchor to page, problem did not occur

I think I could refine the problem a bit:
- it is not image resizing: that crescent is not an image but a drawing (it can be edited with that yellow dot, not just resized like an image).
- on changing the column widths, the drawing changes location, ratio and anchor cell. It happens on the second resize, what ever column I tried. It seems to -1 a column each time.

I've changed your bug triage status from UNCONFIRMED to NEW as a result of my findings. The team with LibreOffice may take a look into this soon. I've also changed

Thanks for participating in perfecting this free app
Comment 5 bordmail4 2015-11-10 03:49:40 UTC
I Forgot to add I've changed the priority of this from NORMAL to MINOR. 
If you add new findings to this bug, please change back to UNCONFIRMED
Comment 6 QA Administrators 2017-01-03 19:36:39 UTC Comment hidden (obsolete)
Comment 7 GUTH Christophe 2017-03-30 11:44:55 UTC
the bug is still present on LO 5.3.0.3 release
Comment 8 QA Administrators 2018-10-01 02:53:29 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug